Subject: bug#28958: 26.0.90; Edebug can't step into methods defined with cl-defgeneric

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 14 Jul 2019 23:28:54 +0200

Gemini Lasswell <[email-masked]> writes:

> To reproduce, put the following code into *scratch* and eval-buffer
> it:
>
> (cl-defgeneric my-func (x)
>   (:method ((x integer)) (message "%s is an integer" x))
>   (:method ((x string)) (message "%s is a string" x))
>   (message "%s is something else" x))
>
> (defun use-my-func ()
>   (my-func "hello")
>   (my-func 3)
>   (my-func 'foo))
>
> Then navigate to the definition of use-my-func and:
>
> C-u C-M-x
> M-: (use-my-func) RET
> i

I'm unable to reproduce this on the Emacs trunk, and I see that the
debug definition has changed substantially since 26.0, so I'm closing
this bug report.  If this still is a problem, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no